package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;

/**
 *
 * 支付订单枚举类型
 *
 */
public enum BizTypeEnum implements IEnum<Integer> {

  CHANNEL_ORDER(1, "渠道订单"),
  USER_ORDER(2, "用户订单");


  private final int value;
  private final String desc;

  BizTypeEnum(final int value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public Integer getValue() {
    return value;
  }
}
